Api
Add a terminology rule. The source term will always be translated to the specified translations, enforcing consistency.
Authorization
apiKey x-api-key<token>
API key from the LangRelay dashboard. Org-level keys can access all projects; project-scoped keys are restricted to one project.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api.langrelay.com/v1/glossary-terms" \ -H "Content-Type: application/json" \ -d '{ "projectId": "proj_abc123", "sourceTerm": "dashboard", "translations": { "fr": "tableau de bord", "de": "Armaturenbrett", "ja": "ダッシュボード", "zh": "仪表盘" } }'{
"id": "glossary_abc123",
"projectId": "string",
"sourceTerm": "dashboard",
"translations": {
"fr": "tableau de bord"
},
"createdAt": "2019-08-24T14:15:22Z"
}